Mailinglist Archive: yast-devel (191 mails)

< Previous Next >
Re: [yast-devel] Package-Bindings
  • From: Stanislav Visnovsky <visnov@xxxxxxx>
  • Date: Fri, 21 Mar 2008 13:02:03 -0600
  • Message-id: <200803211302.03525.visnov@xxxxxxx>
Dňa Thursday 20 March 2008 08:44:32 Klaus Kaempf ste napísal:
* Stefan Hundhammer <sh@xxxxxxx> [Mar 20. 2008 14:42]:
Note: It doesn't say _anywhere_ that it will update to the most recent
version. This discussion is moot. It simply sets the status to "update" -
whatever the lib back-end does then.

Good, then we're in agreement.

All the UI algorithm does is to check if a package selectable has a newer
candidate.

See, thats exactly the point. The UI _must not_ make the 'is newer'
decision. The underlying library (talking to the solver) is the only
authorative source of this decision.

I think this is something we need input from users.

The issue is that your approach will make sure users will get smoothies user
experience, but not possibly not all packages updated, while all other tools
provide the more rough functionality, that gives users direct feedback that
this particular package cannot be updated and why (dependency conflict).

For openSUSE, it might be quite possible that the way other tools work is the
one our users expect.

Stano

--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >